<?php

namespace App\Models\Gameshow;

use Illuminate\Database\Eloquent\Model;

class Question extends Model
{
    protected $table = 'questions';

    public function topics()
    {
        return $this->belongsToMany(
            'App\Models\Gameshow\Topic',
            'question_topic',
            'question_id',
            'topic_id'
        );
    }

    public function answers()
    {
        return $this->hasMany('App\Models\Gameshow\Answer', 'question_id', 'id');
    }
}
