<?php

namespace App\Console\Commands\Gameshow;

use App\Models\Gameshow\Answer;
use App\Models\Gameshow\Question;
use App\Models\Gameshow\Topic;
use Illuminate\Console\Command;

class QuestionCommand extends Command
{
    protected $question;
    protected $topic;

    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'gameshow:question';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle(Question $question, Topic $topic)
    {
        $this->question = $question;
        $this->topic = $topic;

        $query = Question::select()
            ->with([
                'topics' => function($sql) {
                    //$sql->select(['topics.id','topics.name'])->take(2);
                    $sql->select(['topics.id','topics.name']);
                }
            ])
            ->withCount('topics')
            ->get()
            ->toArray();

        print_r($query);

        $result = collect($query)->map(function ($item){

        })->all();

        $q = Question::select('*')
            ->with([
                'answers' => function($sql){
                    $sql->select(['answers.id', 'answers.name']);
                }
            ])
            ->get()
            ->toArray();

        print_r($q);

        /*$as = Answer::select('*')->with([
            'question' => function($sql){
                $sql->select(['id', 'name']);
            }
        ])->get()->toArray();

        print_r($as);*/



    }
}
