<?php

namespace App\Console\Commands\Youtube;

use Alaouy\Youtube\Facades\Youtube;
use Illuminate\Console\Command;
use Illuminate\Support\Facades\Hash;
use Yangqi\Htmldom\Htmldom;

class YoutubeCrawlerListenCommand extends Command
{
    /**
     * The name and signature of the console command.
     *
     * @var string
     */
    protected $signature = 'get:youtube-listen';

    /**
     * The console command description.
     *
     * @var string
     */
    protected $description = 'Command description';

    /**
     * Create a new command instance.
     *
     * @return void
     */
    public function __construct()
    {
        parent::__construct();
        ini_set('max_execution_time', -1);
    }

    /**
     * Execute the console command.
     *
     * @return mixed
     */
    public function handle()
    {
        //$url = 'https://www.youtube.com/watch?v=8mC7oNkz9t4';

        $video = Youtube::getVideoInfo('UqKVL56IJB8');

        $data = [
            'id' => $video->id,
            'published_at' => date('Y-m-d H:I:s', strtotime($video->snippet->publishedAt)),
            'title' => $video->snippet->title,
            'thumbnails' => $video->snippet->thumbnails->standard->url,
            'duration' => $video->contentDetails->duration,
            'view_count' => $video->statistics->viewCount,
        ];

        print_r($data);

        //echo Hash::make('123456a@A');




    }
}
